Subject: bug#35012: Can't install icecat

From: Björn Höfling <[email-masked]>
Date: Fri, 29 Mar 2019 10:20:05 +0100

Hi Alberto,

On Thu, 28 Mar 2019 23:11:22 -0600
Alberto EFG <[email-masked]> wrote:

> H, Mark and everyone who has been helpful 
> 
> > As other people have mentioned, this substitute should now be
> > available,  
> I keep getting this, I don't know if I am doing something wrong:
> 
> $ guix package -n -u .
> --substitute-urls="https://mirror.hydra.gnu.org
> https://ci.guix.info" [...] substitute: updating substitutes from
> 'https://mirror.hydra.gnu.org'... 100.0% substitute: updating
> substitutes from 'https://ci.guix.info'... 100.0% The following
> derivations would be
> built: /gnu/store/5xs5i2pkf369g2hd26f2sy26r40bzjm6-icecat-60.6.1-guix1.drv /gnu/store/4f40wrx514rbly302ha0gvpn5b53d91f-rust-1.24.1.drv
>    /gnu/store/yf5fcqp3v4jf038g454h2zqm54x6ijj6-profile.drv
> 938.6 MB would be downloaded:

I see that your hash of icecat differs from mine:

$ guix package -n -i icecat
--substitute-urls="https://mirror.hydra.gnu.org https://ci.guix.info"
The following package would be upgraded: icecat	60.6.1-guix1 →
60.6.1-guix1	/gnu/store/bwhnxvfx4ng5fhc7xi6wijp8qciqjpbk-icecat-60.6.1-guix1

substitute: updating substitutes from 'https://mirror.hydra.gnu.org'...
100.0% substitute: updating substitutes from 'https://ci.guix.info'...
100.0% The following derivation would be built:
   /gnu/store/f6gfzw25p9bqfwk2y7bdkkw1fhs83b2x-profile.drv
The following profile hooks would be built:
[..]

I.e. yours is 5xs5...-icecat, mine is bwhn...-icecat

When I'm looking at the latest evaluation of hydra, there I find the
bwhn... one:

https://hydra.gnu.org/build/3431712

Source Nix closure of
path /gnu/store/bwhnxvfx4ng5fhc7xi6wijp8qciqjpbk-icecat-60.6.1-guix1 

If you look there at the tab "inputs", you will see that it evaluated
from commit

fd9fe868f818b159b58c6a9811cc68e752a0af48

Looking at the git history, you will find out that this is from:

Committer: Tobias Geerinckx-Rice <[email-masked]>  2019-03-25 12:59:39

Your "guix pull" should be on this commit or later (but not too late,
such that firefox-affecting changes don't get in of cause :-)). 
You can directly try to use:

guix pull --commit="fd9fe868f818b159b58c6a9811cc68e752a0af48"

and then try again updating icecat like you did above.

Are you on x86_64? Although when I look at i686 and arm, the hashes are
totally different (we would have a problem with substitutes there
anyway).

For reference, I'm here:

$ guix describe
Generation 55	Mar 26 2019 00:36:00	(current)
  guix-hoebjo 385a225
[..]
  guix b9b177b
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: b9b177b31756221837c8b85df786c8cdd7df3ef0

Björn